/* eslint-env node */
'use strict';

const setupBabel = require('./private/setup-babel');

module.exports = {
  name: 'ember-cli-babel-typescript',

  included(parent) {
    this._super.included.apply(this, arguments);

    // Create parent options, if they do not exist
    const parentOptions = (parent.options = parent.options || {});

    // Create our own options, if they do not exist
    const ownOptions = (parentOptions[this.name] = parentOptions[this.name] || {});

    if (!this._registeredWithBabel && !ownOptions.disable) {
      setupBabel(parent);
      this._registeredWithBabel = true;
    }
  }
};
